//: C03:ReplaceAndGrow.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
#include <cassert>
#include <string>
using namespace std;

int main() {
  string velkaNovina("Před Vánoci máme mnoho nákupů.");
  string nahrazka("chtivých zákazníků.");
  // První parametr říká "nahradit znaky za 
	// koncem existujícího řetězce":
  velkaNovina.replace(velkaNovina.size() - 1,
    nahrazka.size(), nahrazka);
  assert(velkaNovina == "Před Vánoci máme mnoho "
					"nákupůchtivých zákazníků.");
} ///:~
